# ce_vrf – Manages VPN instance on HUAWEI CloudEngine switches

New in version 2.4.

- Synopsis

- Parameters

- Notes

- Examples

- Return Values

- Status

## Synopsis

- Manages VPN instance of HUAWEI CloudEngine switches.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
description - |  | Description of the vrf, the string length is 1 - 242 .

state
-

Choices:
- present ←
- absent

Manage the state of the resource.

vrf - / required |  | VPN instance, the length of vrf name is 1 - 31, i.e. "test", but can not be `_public_`.

## Notes

Note

- If state=absent, the route will be removed, regardless of the non-required options.

- This module requires the netconf system service be enabled on the remote device being managed.

- Recommended connection is `netconf`.

- This module also works with `local` connections for legacy playbooks.

## Examples

    - name: vrf module test
      hosts: cloudengine
      connection: local
      gather_facts: no
      vars:
        cli:
          host: "{{ inventory_hostname }}"
          port: "{{ ansible_ssh_port }}"
          username: "{{ username }}"
          password: "{{ password }}"
          transport: cli

      tasks:

      - name: Config a vpn install named vpna, description is test
        ce_vrf:
          vrf: vpna
          description: test
          state: present
          provider: "{{ cli }}"
      - name: Delete a vpn install named vpna
        ce_vrf:
          vrf: vpna
          state: absent
          provider: "{{ cli }}"

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
changed boolean | always | check to see if a change was made on the device Sample: True
end_state dictionary | always | k/v pairs of switchport after module execution Sample: {'vrf': 'vpna', 'description': 'test', 'present': 'present'}
existing dictionary | always | k/v pairs of existing switchport
proposed dictionary | always | k/v pairs of parameters passed into module Sample: {'vrf': 'vpna', 'description': 'test', 'state': 'present'}
updates list | always | command list sent to the device Sample: ['ip vpn-instance vpna', 'description test']

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Yang yang (@QijunPan)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.